curl --request GET \
--url 'https://api.stateset.com/api/v1/price-schedules/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"currency": "USD",
"ends_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1,
"starts_at": "2026-08-31T14:22:05Z"
}
Get a price schedule
Get a price schedule
GET
/
api
/
v1
/
price-schedules
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/price-schedules/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"currency": "USD",
"ends_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1,
"starts_at": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Price schedule ID
Response
PriceScheduleResponse
string,null
string
required
string,null
string
required
boolean
required
string
required
integer (int32)
required
string,null
Status codes
| Code | Meaning |
|---|---|
200 | — |
404 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/price-schedules/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"code": "string",
"currency": "USD",
"ends_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1,
"starts_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026